* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.container {
  position: absolute;
  width: 90vw;
  height: 100vh;
  display: flex;
  overflow: hidden;
  justify-content: center;
  align-items: center;
}
.slider {
  position: absolute;
  inset: 80px 200px 80px 80px;
  background: #ccc;
  border-radius: 20px;
}
.slider .slides {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 240px;
  height: 320px;
  background: var(--img);
  background-size: cover;
  background-position: center;
  border-radius: 20px;
  transition: 0.5s;
  box-shadow: 0 25px 50px rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
}
.slider .slides:nth-child(1),
.slider .slides:nth-child(2) {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: translateY(0);
  box-shadow: 0 25px 50px rgba(0, 0, 0, 0);
}
.slider .slides:nth-child(3) {
  left: calc(50% + 240px);
  background-size: cover;
}
.slider .slides:nth-child(4) {
  left: calc(50% + 500px);
  background-size: cover;
}
.slider .slides:nth-child(5) {
  left: calc(50% + 760px);
  background-size: cover;
}
.slider .slides:nth-child(6) {
  left: calc(50% + 1020px);
  background-size: cover;
  opacity: 0;
}
.buttons {
  position: absolute;
  bottom: 15px;
  display: flex;
  gap: 20px;
}
.buttons span {
  position: relative;
  width: 50px;
  height: 50px;
  background: #111;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
}
.buttons span::before {
  content: "";
  position: absolute;
  width: 15px;
  height: 15px;
  border-top: 4px solid #fff;
  border-left: 4px solid #fff;
  transform: rotate(315deg) translate(2px, 2px);
}
.buttons span:nth-child(2):before {
  transform: rotate(135deg) translate(2px, 2px);
}
.buttons span:active {
  opacity: 0.5;
}
.content {
  position: relative;
  padding: 40px;
  max-width: 600px;
  transition: 0.25s;
  transition-delay: 0s;
  transform: translateY(40px);
  z-index: 10000;
  opacity: 0;
}
.slider .slides:nth-child(1) .content,
.slider .slides:nth-child(2) .content {
  opacity: 1;
  transform: translateY(0px);
  transition-delay: 0.5s;
}
.content > h2 {
  font-size: 4em;
  color: white;
}
.content > p {
  color: white;
}

/* responsive */
@media (max-width: 900px) {
  .slider {
    position: absolute;
    inset: 40px 40px 200px 40px;
  }
}
